Public Attributes | List of all members
l2cap_lecb_cb_fun_t Struct Reference
BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

Callback registered by APP. More...

`#include <ble_l2cap.h>`

## Public Attributes
void(* | app_l2cap_lecb_conn_req_cb )(uint8_t conn_idx, lecb_conn_req_ind_t *p_conn_req)
| Callback for receiving LE credit based connection request. More...
void(* | app_l2cap_lecb_conn_cb )(uint8_t conn_idx, uint8_t status, lecb_conn_ind_t *p_conn_ind)
| Callback for receiving LE credit based connection created indication. More...
void(* | app_l2cap_lecb_add_credits_ind_cb )(uint8_t conn_idx, lecb_add_credits_ind_t *p_add_credits_ind)
| Callback for receiving LE credit based connection addition indication. More...
void(* | app_l2cap_lecb_disconn_cb )(uint8_t conn_idx, uint8_t status, lecb_disconn_ind_t *p_disconn_ind)
| Callback for receiving LE credit based disconnection indication. More...
void(* | app_l2cap_lecb_sdu_recv_cb )(uint8_t conn_idx, lecb_sdu_t *p_sdu)
| Callback for receiving SDU packet. More...
void(* | app_l2cap_lecb_sdu_send_cb )(uint8_t conn_idx, uint8_t status, lecb_sdu_send_evt_t *p_sdu_send_evt)
| Callback for sending SDU operation complete event. More...
void(* | app_l2cap_lecb_credit_add_cmp_cb )(uint8_t conn_idx, uint8_t status, uint16_t local_cid)
| Callback for LE credit add complete event. More...

## Detailed Description

Callback registered by APP.

Definition at line 176 of file ble_l2cap.h.

## Member Data Documentation

## ◆ app_l2cap_lecb_add_credits_ind_cb

void(* l2cap_lecb_cb_fun_t::app_l2cap_lecb_add_credits_ind_cb) (uint8_t conn_idx, lecb_add_credits_ind_t *p_add_credits_ind)

Callback for receiving LE credit based connection addition indication.

Definition at line 180 of file ble_l2cap.h.

## ◆ app_l2cap_lecb_conn_cb

void(* l2cap_lecb_cb_fun_t::app_l2cap_lecb_conn_cb) (uint8_t conn_idx, uint8_t status, lecb_conn_ind_t *p_conn_ind)

Callback for receiving LE credit based connection created indication.

Definition at line 179 of file ble_l2cap.h.

## ◆ app_l2cap_lecb_conn_req_cb

void(* l2cap_lecb_cb_fun_t::app_l2cap_lecb_conn_req_cb) (uint8_t conn_idx, lecb_conn_req_ind_t *p_conn_req)

Callback for receiving LE credit based connection request.

Definition at line 178 of file ble_l2cap.h.

## ◆ app_l2cap_lecb_credit_add_cmp_cb

void(* l2cap_lecb_cb_fun_t::app_l2cap_lecb_credit_add_cmp_cb) (uint8_t conn_idx, uint8_t status, uint16_t local_cid)

Callback for LE credit add complete event.

Definition at line 184 of file ble_l2cap.h.

## ◆ app_l2cap_lecb_disconn_cb

void(* l2cap_lecb_cb_fun_t::app_l2cap_lecb_disconn_cb) (uint8_t conn_idx, uint8_t status, lecb_disconn_ind_t *p_disconn_ind)

Callback for receiving LE credit based disconnection indication.

Definition at line 181 of file ble_l2cap.h.

## ◆ app_l2cap_lecb_sdu_recv_cb

void(* l2cap_lecb_cb_fun_t::app_l2cap_lecb_sdu_recv_cb) (uint8_t conn_idx, lecb_sdu_t *p_sdu)

Callback for receiving SDU packet.

Definition at line 182 of file ble_l2cap.h.

## ◆ app_l2cap_lecb_sdu_send_cb

void(* l2cap_lecb_cb_fun_t::app_l2cap_lecb_sdu_send_cb) (uint8_t conn_idx, uint8_t status, lecb_sdu_send_evt_t *p_sdu_send_evt)

Callback for sending SDU operation complete event.

Definition at line 183 of file ble_l2cap.h.

The documentation for this struct was generated from the following file:

- ble_l2cap.h